S.SYS.SASMVERS EQU 2003193 ;Assembler/linker version, new format (abbbccc)
S.PRJ.SMonitoring.SbusStation EQU 81 ;S-Bus station number
S.CPU.PcdType EQU 48 ;PCD types, see __PCDx_Mxxx__ symbols
S.CPU.Eline_System EQU 0 ;0=not an E-line type
S.CPU.NT_System EQU 1 ;1 for new PCD types, 0 for old
S.CPU.Cpu EQU 0 ;CPU number
S.CPU.PCD3_System EQU 0 ;PCD3 type, or 0 if not PCD3
S.CPU.PCD2M5_System EQU 0 ;PCD2_M5 type, or 0 if not PCD2_M5
S.CPU.MinFWVersion EQU 12800 ;Min firmware
S.CPU.MaxFWVersion EQU 999999 ;Max firmware version not defined
S.CPU.FullHandshakeOnPort0 EQU 0 ;Full RS-232 handshaking on Port 0
S.CPU.Xob1Enable EQU 0 ;XOB 1 enabled
S.CPU.SbusStation EQU 81 ;S-Bus station number
S.CPU.SbusPguPort EQU -1 ;Serial PGU port number, -1=none
S.CPU.SbusBaudRate EQU 9600 ;Serial port baud rate
S.CPU.SbusMode EQU 2 ;Serial port mode, 0=Break, 1=Parity, 2=Data
S.CPU.SbusModemPort EQU -1 ;Modem port number, -1=none
S.CPU.SbusModemBaudRate EQU 9600 ;Modem baud rate
S.CPU.SbusModemMode EQU 2 ;0=Break, 1=Parity, 2=Data
S.CPU.IPNode EQU 81 ;IP node number
S.CPU.IPChannel EQU 9 ;IP channel number
S.CPU.IPAddress EQU 0C0A80A51H ;IP address : 192.168.10.81
S.CPU.IPSubnetMask EQU 0FFFFFF00H ;Subnet mask : 255.255.255.0
S.CPU.IPDefaultRouter EQU 0C0A80A01H ;Default router : 192.168.10.1
S.CPU.EnergyMonitoringEnabled EQU 1 ;Energy monitoring function enabled
S.CPU.Interrupt0XOB EQU 20 ;Interrupt XOB number defined in the Device Configurator
S.CPU.Interrupt1XOB EQU 21 ;Interrupt XOB number defined in the Device Configurator
S.ODM.Initialized EQU 1 ;ODM Init has been activated in SPM
S.ODM.ReadTimeout EQU 1000 ;Telegram reading timeout
S.CPU.ProgramVersion EQU 1004003 ;Program Version 1.04.03
S.CPU.LastTimer EQU T 49 ;Last timer number
S.CPU.TimerTimebase EQU 100 ;Timer timebase in ms
S.CPU.FirstCounter EQU C 50 ;First counter number
S.CPU.HasVolatileFlags EQU 0 ;1=has volatile Flags
S.CPU.LastVolatileFlag EQU -1 ;There are no volatile Flags
S.CPU.FirstNonvolatileFlag EQU F 0 ;Flags from F 0 are nonvolatile
S.CPU.FirstDynCounter EQU C 1000 ;First dynamic Counter address
S.CPU.LastDynCounter EQU C 1599 ;Last dynamic Counter address
S.CPU.FirstDynTimer EQU T 10 ;First dynamic Timer address
S.CPU.LastDynTimer EQU T 49 ;Last dynamic Timer address
S.CPU.FirstDynRegister EQU R 2000 ;First dynamic Register address
S.CPU.LastDynRegister EQU R 8191 ;Last dynamic Register address
S.CPU.FirstDynFlag EQU F 2000 ;First dynamic Flag address
S.CPU.LastDynFlag EQU F 8191 ;Last dynamic Flag address
S.CPU.FirstDynText EQU TEXT 3000 ;First dynamic Text address
S.CPU.LastDynText EQU TEXT 3499 ;Last dynamic Text address
S.CPU.FirstDynDB EQU DB 3500 ;First dynamic DB address
S.CPU.LastDynDB EQU DB 3999 ;Last dynamic DB address
S.CPU.FirstDynRamText EQU TEXT 5000 ;First dynamic RAM Text address
S.CPU.LastDynRamText EQU TEXT 6599 ;Last dynamic RAM Text address
S.CPU.FirstDynRamDB EQU DB 6600 ;First dynamic RAM DB address
S.CPU.LastDynRamDB EQU DB 8191 ;Last dynamic RAM DB address
S.CPU.MaxFlag EQU 14335 ;Last Flag number
S.CPU.MaxReg EQU 16383 ;Last Register number
S.CPU.MaxCounter EQU 1599 ;Last Counter number
S.CPU.Use16BitAddressing EQU 0 ;Use 16-bit Register and Flag addressing (FW >= 1.20.00)
S.CPU.NoDirectIOAccess EQU 0 ;1 if I|O addresses cannot be used
S.CPU.FirstWritableTextDB EQU 4000 ;First writable Text/DB number (-1=not supported)
S.CPU.EnableDIR EQU 0 ;1=Download in Run features enabled
S.PRJ.AppLanguage EQU 'en' ;Preferred language for applications
S.PRJ.LibLanguage EQU 'en' ;Preferred language for libraries
S.PRJ.ANSICodePage EQU 1252 ;PC's Windows ANSI code page
A.SMonitoring.MinSBusCounterAddress EQU 0 ; First address of S-Bus counter
A.SMonitoring.MaxSBusCounterAddress EQU 127 ; Last address of S-Bus counter (max. 128 S-Bus counters)
A.SMonitoring.MinCustomCounterAddress EQU 300 ; First address of custom counter
A.SMonitoring.MaxCustomCounterAddress EQU 555 ; Last address of custom counter (max. 255 custom counters)
A.SMonitoring.MinCounterGroupAddress EQU 900 ; First address of counter group
A.SMonitoring.MaxCounterGroupAddress EQU 931 ; Last address of counter group (max. 32 groups)
A.SMonitoring.DBVersion_2_01 EQU 0201H ; Data block format version 2.01 used by the Read All FBox - see help for details
A.SMonitoring.DBBufferSize_2_01 EQU 94 ; Size of the data block format version 2.01 used by the Read All FBox - see help for details
S.SF.SMonitoring.Setup.Name EQU 0 ; Counter name, max length = 23 chars
S.SF.SMonitoring.Setup.Unit EQU 1 ; Counter unit text, max length = 8 chars
S.SF.SMonitoring.Setup.HeaderText EQU 2 ; Set EM log file header line
S.SF.SMonitoring.Setup.UserType EQU 3 ; Counter user-defined type, max length = 16 chars
S.SF.SMonitoring.Setup.UnitExp EQU 4 ; Unit exponent, 0 - none, 3 - "kilo"
S.SF.SMonitoring.Setup.CostFactGuiWrite EQU 5 ; Enable/disable writing cost factors for custom counters
S.SF.SMonitoring.Setup.NameTextSize EQU 23 ;
S.SF.SMonitoring.Setup.UnitTextSize EQU 8 ;
S.SF.SMonitoring.Setup.HeaderTextSize EQU 128 ;
S.SF.SMonitoring.Setup.UserTypeTextSize EQU 16 ;
S.SF.SMonitoring.Value.Count1 EQU 0 ; fix.2
S.SF.SMonitoring.Value.CostFact1 EQU 1 ; fix.4
S.SF.SMonitoring.Value.Count2 EQU 2 ;
S.SF.SMonitoring.Value.CostFact2 EQU 3 ;
S.SF.SMonitoring.Value.Count3 EQU 4 ;
S.SF.SMonitoring.Value.CostFact3 EQU 5 ;
S.SF.SMonitoring.Value.Count4 EQU 6 ;
S.SF.SMonitoring.Value.CostFact4 EQU 7 ;
S.SF.SMonitoring.Value.Aux10 EQU 10 ; IrmsL1
S.SF.SMonitoring.Value.Aux11 EQU 11 ; PrmsL1
S.SF.SMonitoring.Value.Aux12 EQU 12 ; QrmsL1
S.SF.SMonitoring.Value.Aux20 EQU 20 ; IrmsL2
S.SF.SMonitoring.Value.Aux21 EQU 21 ; PrmsL2
S.SF.SMonitoring.Value.Aux22 EQU 22 ; QrmsL2
S.SF.SMonitoring.Value.Aux30 EQU 30 ; IrmsL3
S.SF.SMonitoring.Value.Aux31 EQU 31 ; PrmsL3
S.SF.SMonitoring.Value.Aux32 EQU 32 ; QrmsL3
S.SF.SMonitoring.Totals.Count1 EQU 1 ;
S.SF.SMonitoring.Totals.Count2 EQU 2 ;
S.SF.SMonitoring.Totals.Count3 EQU 3 ;
S.SF.SMonitoring.Totals.Count4 EQU 4 ;
S.SF.SMonitoring.UnitExp.None EQU 0 ;
S.SF.SMonitoring.UnitExp.Kilo EQU 3 ;
S.SF.SMonitoring.CostFactGuiWrite.Disabled EQU 0 ;
S.SF.SMonitoring.CostFactGuiWrite.Enabled EQU 1 ;
